Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		utouch-geis
#Epoch:		0
Version:	1.0.13
Release:	1
License:	GNU/GPLv2, GNU/LGPLv3
URL:		https://launchpad.net/canonical-multitouch/utouch-geis
Group:		System/Libraries
Summary:	An implementation of the GEIS (Gesture Engine Interface and Support) interface
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: utouch-grail-devel
BuildRequires: python26-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXi-devel
BuildRequires: pkg-config

%description
GEIS is a library for applications and toolkit programmers which provides a consistent platform independent interface for any system-wide input gesture recognition mechanism.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
export PYTHON=/usr/bin/python2.6
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/geistest
%{_libdir}/libutouch-geis.so.*
%{_mandir}/man1/geistest.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/geis/geis.h
%{_includedir}/geis/geisimpl.h
%{_libdir}/libutouch-geis.a
%{_libdir}/libutouch-geis.la
%{_libdir}/libutouch-geis.so
%{_pkgconfig}/libutouch-geis.pc
%{_docdir}/utouch-geis/Doxyfile
%{_docdir}/utouch-geis/geisspec-1.0.asc
%{_docdir}/utouch-geis/geisspec-docbook.xml

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Dec 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-1
- Version update
* Mon Sep 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.11-1
- initial CCux package release
